Subject: Re: Carla Emery

From: "Clyde R. Visser, KD6GWN" <[email-masked]>
Date: Fri, 10 Mar 1995 23:36:45 GMT

From: [email-masked] (Mike Nelson)

It was in Idaho on the clearwater river.  She still lives there.  in the
town of Deery I believe. She just had a new version of her book published by
sasquatch press of Seattle Washington
 ----------

Can anyone tell me what happened to Carla Emery? She had a school "The
School for Counrty Living" some place in the northeast. She was featured
in "The Mother Earth News" several times and wrote a "cookbook" that
covered just about everything about living off of the land. I would like
to know how to contact her if possible and any news about her.
RE: Carla Emery